<template>
  <v-row justify="center" class="mt-4 mb-4">
    <v-col cols="12" sm="12" md="12" lg="11">
      <v-card class="overflow-hidden">
        <v-app-bar color="cyan" dense dark>
          <v-app-bar-nav-icon></v-app-bar-nav-icon>
          <v-toolbar-title>จัดการร้านค้า</v-toolbar-title>
          <v-spacer></v-spacer>
        </v-app-bar>
        <v-sheet>
          <v-row justify="center">
            <v-col class="auto" cols="12" sm="12" md="9" lg="9">
              <storesCreate />
            </v-col>
          </v-row>
          <v-row justify="center"  class="mb-5">
            <v-col class="auto" cols="12" sm="12" md="11" lg="11.5">
              <storesList/>
            </v-col>
          </v-row>
        </v-sheet>
      </v-card>
    </v-col>
  </v-row>
</template>
<script>
import storesCreate from '@/components/iexpenses/stores/storesCreate'
import storesList from '@/components/iexpenses/stores/storesList'

import { mapGetters, mapActions, mapState} from 'vuex'

import Swal from 'sweetalert2'

export default {
  components: {
    storesCreate,
    storesList,
  },
  data() {
    return {
      valList: '',
      valType: '',
      editIndex: -1,
      defaultItem: {
        id: null,
        name: '',
        detail: '',
        auth: '',
      },
    }
  },
  computed: {
    ...mapGetters({
      // costTable: 'getExpensesTable',
      lastID: 'getExpensesStoresID',
    }),
    ...mapState({
      StoresEditItem: (store) => store.expensesStores.EditItem,
    }),
  },
  mounted() {
    this.findID()
    this.callStores()
  },
  methods: {
    ...mapActions({
      findID: 'findID',
      callStores: 'callStores',
    }),
  },
}
</script>
<style scoped>

.v-icon {
  cursor: pointer;
}
.elevation-1.text {
  font-size: 40em;
}
</style>